Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class TokenAccuracyEvaluator

    java.lang.Object
      cc.mallet.fst.TransducerEvaluator
          cc.mallet.fst.TokenAccuracyEvaluator

    public class TokenAccuracyEvaluator

extends TransducerEvaluator

Evaluates a transducer model based on predictions of individual tokens.

Field Summary

Fields inherited from class cc.mallet.fst.TransducerEvaluator
`instanceListDescriptions, instanceLists`

Constructor Summary
`TokenAccuracyEvaluator(InstanceList[] instanceLists, java.lang.String[] descriptions)`
`TokenAccuracyEvaluator(InstanceList instanceList1, java.lang.String description1)`
`TokenAccuracyEvaluator(InstanceList instanceList1, java.lang.String description1, InstanceList instanceList2, java.lang.String description2)`
`TokenAccuracyEvaluator(InstanceList instanceList1, java.lang.String description1, InstanceList instanceList2, java.lang.String description2, InstanceList instanceList3, java.lang.String description3)`

Method Summary
`void` | `evaluateInstanceList(TransducerTrainer trainer, InstanceList instances, java.lang.String description)`
`double` | `getAccuracy(java.lang.String description)` Returns the accuracy from the last time test() or evaluate() was called

Methods inherited from class cc.mallet.fst.TransducerEvaluator
`evaluate, preamble, precondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenAccuracyEvaluator

    public TokenAccuracyEvaluator(InstanceList[] instanceLists,
                                  java.lang.String[] descriptions)

### TokenAccuracyEvaluator

    public TokenAccuracyEvaluator(InstanceList instanceList1,
                                  java.lang.String description1)

### TokenAccuracyEvaluator

    public TokenAccuracyEvaluator(InstanceList instanceList1,
                                  java.lang.String description1,
                                  InstanceList instanceList2,
                                  java.lang.String description2)

### TokenAccuracyEvaluator

    public TokenAccuracyEvaluator(InstanceList instanceList1,
                                  java.lang.String description1,
                                  InstanceList instanceList2,
                                  java.lang.String description2,
                                  InstanceList instanceList3,
                                  java.lang.String description3)

Method Detail

### evaluateInstanceList

    public void evaluateInstanceList(TransducerTrainer trainer,
                                     InstanceList instances,
                                     java.lang.String description)

  Specified by:
    `evaluateInstanceList` in class `TransducerEvaluator`

### getAccuracy

    public double getAccuracy(java.lang.String description)

  Returns the accuracy from the last time test() or evaluate() was called

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD